Subject: Re: bug#32991: 27.0.50; diff-auto-refine-mode a no-op

From: Stefan Monnier <[email-masked]>
Date: Fri, 01 Feb 2019 02:38:51 -0500

> A similar option `font-lock` also makes sense for a new
> customizable variable with a name like `smerge-refine`
> that could automatically refine all smerge conflicts.

FWIW, here's the reason why I haven't even looked into doing it
automatically for smerge: IMO 2-way conflicts are worthless so I only
care about 3-way conflicts, and for those I don't know how to display
all 3 different "refinements" at the same time.  IOW I too often need to
use the cycling behavior of smerge-refine for a "font-lock" version to
be sufficient.  So if we implement a "font-lock" version of
smerge-refine, we'll need to make sure it interacts well with subsequent
manual smerge-refine cycling.

        Stefan